Subject: bug#1478: closed (Re: bug#1478: 23.0.60; doc string of custom-unlispify-*)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 02 Aug 2011 16:14:03 +0000

Your bug report

#1478: 23.0.60; doc string of custom-unlispify-*

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
1478: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1478
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#1478: 23.0.60; doc string of custom-unlispify-*
From: Lars Magne Ingebrigtsen <[email-masked]>
To: "Drew Adams" <[email-masked]>
Cc: [email-masked]
Date: Tue, 02 Aug 2011 18:10:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

"Drew Adams" <[email-masked]> writes:

> 2. I disagree with everything Lars wrote about this bug.

I still agree with myself, so I'm closing this report.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/

>From [email-masked] Tue Dec  2 16:00:27 2008
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Subject: 23.0.60; doc string of custom-unlispify-*
Date: Tue, 2 Dec 2008 16:00:21 -0800

1. The doc string of `custom-unlispify-menu-entries' says only this:
 
 "Display menu entries as words instead of symbols if non-nil."
 
What menu entries? Which menu?
 
It took me a while, searching and experimenting, to find that this is
about the `Custom' menu's submenus. Please clarify what this is for in
the doc string.

2. The doc string of `custom-unlispify-tag-names' says only this:

 "Display tag names as words instead of symbols if non-nil."

What's a tag name? This won't make much sense to an Emacs user who isn't savvy
to Emacs Lisp, `defcustom' :type, and :tag. Please explain this
better. A simple illustrative example never hurts: show what happens if
it's nil vs if it's non-nil.

These doc strings are all the user has to go on, since these options are not
described in any manual.

In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
 of 2008-11-24 on LENNART-69DE564
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/g/include
-fno-crossjumping'